image:
  name: alpine/helm:3.5.4
  entrypoint: ["/bin/sh", "-c"]

deploy-helm:
  script:
    - apk add gettext
    - envsubst < values.template.yaml > values.yaml
    - helm repo add jupyterhub https://jupyterhub.github.io/helm-chart/
    - helm repo update
    - helm upgrade --cleanup-on-fail --install hpchub jupyterhub/jupyterhub -n csusb-hpc --version=1.2.0 --values values.yaml
  environment:
    name: csusb-hpc
